/* Fo
 * fo-multi_properties.h: Multi Properties formatting object
 *
 * Copyright (C) 2001 Sun Microsystems
 *
 * $Id: fo-multi-properties.h,v 1.2 2003/03/19 21:11:48 tonygraham Exp $
 *
 * See Copyright for the status of this software.
 */

#ifndef __FO_MULTI_PROPERTIES_H__
#define __FO_MULTI_PROPERTIES_H__

#include <libfo/fo-utils.h>

#include <fo-property-id.h>
#include <fo-property-role.h>
#include <fo-property-source-document.h>

G_BEGIN_DECLS

typedef struct _FoMultiProperties      FoMultiProperties;
typedef struct _FoMultiPropertiesClass FoMultiPropertiesClass;

#define FO_TYPE_MULTI_PROPERTIES              (fo_multi_properties_get_type ())
#define FO_MULTI_PROPERTIES(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), FO_TYPE_MULTI_PROPERTIES, FoMultiProperties))
#define FO_MULTI_PROPERTIES_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), FO_TYPE_MULTI_PROPERTIES, FoMultiPropertiesClass))
#define FO_IS_MULTI_PROPERTIES(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), FO_TYPE_MULTI_PROPERTIES))
#define FO_IS_MULTI_PROPERTIES_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), FO_TYPE_MULTI_PROPERTIES))
#define FO_MULTI_PROPERTIES_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), FO_TYPE_MULTI_PROPERTIES, FoMultiPropertiesClass))


GType         fo_multi_properties_get_type      (void) G_GNUC_CONST;
FoFo *fo_multi_properties_new (void);

void fo_multi_properties_update_from_context (FoFo *fo,
				   FoContext *context);
void fo_multi_properties_set_id (FoMultiProperties *fo_multi_properties,
		      FoPropertyId *new_id);
FoPropertyId* fo_multi_properties_get_id (FoMultiProperties *fo_multi_properties);
void fo_multi_properties_set_role (FoMultiProperties *fo_multi_properties,
		      FoPropertyRole *new_role);
FoPropertyRole* fo_multi_properties_get_role (FoMultiProperties *fo_multi_properties);
void fo_multi_properties_set_source_document (FoMultiProperties *fo_multi_properties,
		      FoPropertySourceDocument *new_source_document);
FoPropertySourceDocument* fo_multi_properties_get_source_document (FoMultiProperties *fo_multi_properties);

G_END_DECLS

#endif /* !__FO_MULTI_PROPERTIES_H__ */
